PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_slaswpc | ( | int | N,
|  | float * | A,
|  | int | LDA,
|  | int | K1,
|  | int | K2,
|  | const int * | IPIV,
|  | int | INCX
| ) |  |

PLASMA_slaswpc - performs a series of row interchanges on the matrix A. One row interchange is initiated for each of rows K1 through K2 of A.

Parameters

  [in] | N | The order of the matrix A. N >= 0.
  [in] | A | The tile factors L and U from the factorization, computed by PLASMA_sgetrf.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [in] | K1 | The first element of IPIV for which a row interchange will be done.
  [in] | K2 | The last element of IPIV for which a row interchange will be done.
  [in] | IPIV | The pivot indices from PLASMA_sgetrf.
  [in] | INCX | The increment between successive values of IPIV. If IPIV is negative, the pivots are applied in reverse order.

Returns

Return values

  PLASMA_SUCCESS | successful exit

Returns
  <0 if -i, the i-th argument had an illegal value

See also
  PLASMA_slaswpc_Tile
  PLASMA_slaswpc_Tile_Async
  PLASMA_claswpc
  PLASMA_dlaswpc
  PLASMA_slaswpc
  PLASMA_sgetrf